# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugins-check_ups_health
Version: 3.0.5
Release: 1%{?dist}
Summary: Checks the hardware health and various interface metrics of UPSs 

License: GPLv2
URL:     https://labs.consol.de/nagios/check_ups_health/index.html
Source0: https://labs.consol.de/assets/downloads/nagios/check_ups_health-%{version}.tar.gz
BuildArch: noarch

BuildRequires: make, perl

%description
This plugin checks the hardware health and various interface metrics of
 uninterruptible power supplies

%prep
%setup -q -n check_ups_health-%{version}


%build
%configure
make %{?_smp_mflags}


%install
install -D -p -m 755 plugins-scripts/check_ups_health %{buildroot}%{_libdir}/nagios/plugins/check_ups_health
chmod -x AUTHORS ChangeLog README THANKS TODO COPYING


%files
%doc AUTHORS ChangeLog README THANKS TODO
%license COPYING

%{_libdir}/nagios/plugins/check_ups_health

%changelog
* Tue Mar 28 2023 Nuno Dias <Nuno.Dias@gmail.com> - 3.0.5-1.ndias
- Version 3.0.5
